﻿using blazor_lifetime.Models;
using Microsoft.AspNetCore.Components;
using System;
using System.Threading.Tasks;

namespace blazor_lifetime.Shared
{
    public class FirstLevelAdvancedComponentAsyncModel : AdvancedComponentBase
    {
        protected string AsyncParameter { get; set; }
        protected override async Task OnComponentMountAsync()
        {
            Console.WriteLine($"{GetType().Name}.OnComponentMountAsync.Start");
            await Task.Delay(500);
            AsyncParameter = "value 123";
            Console.WriteLine($"{GetType().Name}.OnComponentMountAsync.End");
        }
    }
}